# PostSiblings

> List cross-posts of the same content on other platforms (by crosspost group id). Read access, posts toolset, MCP tool get_post_siblings.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `groupId` | `UUID!` | yes |  | Checks for equality with the object’s `crosspostGroupId` field. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"PostSiblings","variables":{"groupId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"9385f25d03240fd8f05c195b022b6eac5491227e9f03ba223fcf6275392791b4"}}}'
```

## Document

```graphql
query PostSiblings($groupId: UUID!) { __typename allPartnerPosts( condition: {crosspostGroupId: $groupId} orderBy: [PUBLISHED_AT_ASC] ) { __typename nodes { __typename comments id likes metricsUpdatedAt postType postUrl publishedAt rowId shares title views } } }
```

Source: https://developer.missin.co.uk/reference/posts/post-siblings
